[metadata]
name = pyhdbpp
version = 1.7.8
url = https://gitlab.com/tango-controls/hdbpp/libhdbpp-python
description = HDB++ python3 API for extraction
long_description = file: README.md
long_description_content_type = text/markdown
license = LGPL
license_file = LICENSE
classifiers = 	
    Programming Language :: Python :: 3

[options]
packages = find:
python_requires = >=3.5
install_requires = pyyaml

[options.entry_points]
console_scripts =
    hdbpp-reader = pyhdbpp.reader:main
    hdb2csv = pyhdbpp.tools.hdb2csv:main

[options.extras_require]
timescaledb = psycopg2
mariadb = pymysql
hdb2csv = fandango
